# Function nativeDecimals

- nativeDecimals<K1>(...args): ToExtPropKey<K1> extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"
  ? ObjectFromMappingEntries<readonly [readonly ["Evm", 18], readonly ["Solana", 9], readonly ["Sui", 9], readonly ["Aptos", 8], readonly ["Cosmwasm", 6], readonly ["Algorand", 6], readonly ["Btc", 8], readonly ["Near", 12]], 1>[Object] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<readonly [readonly ["Evm", 18], readonly ["Solana", 9], readonly ["Sui", 9], readonly ["Aptos", 8], readonly ["Cosmwasm", 6], readonly ["Algorand", 6], readonly ["Btc", 8], readonly ["Near", 12]], 1>[Object]
  : never

- #### Type Parameters

  - #### K1 extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"

  #### Parameters

  - ##### `Rest` ...args: [K1]

  #### Returns ToExtPropKey<K1> extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"
  ? ObjectFromMappingEntries<readonly [readonly ["Evm", 18], readonly ["Solana", 9], readonly ["Sui", 9], readonly ["Aptos", 8], readonly ["Cosmwasm", 6], readonly ["Algorand", 6], readonly ["Btc", 8], readonly ["Near", 12]], 1>[Object] extends Mapped
  ? any[any]
  : ObjectFromMappingEntries<readonly [readonly ["Evm", 18], readonly ["Solana", 9], readonly ["Sui", 9], readonly ["Aptos", 8], readonly ["Cosmwasm", 6], readonly ["Algorand", 6], readonly ["Btc", 8], readonly ["Near", 12]], 1>[Object]
  : never

  - Defined in core/base/src/utils/mapping.ts:324

Generated using TypeDoc